fcf.module({
  name: "fcf:NFSQL/NFilter/BaseSimpleType.js",
  dependencies: ["fcf:NFSQL/NFilter/NFilter.js", "fcf:NFSQL/NFilter/Filter.js"],
  module: function(NFilter, Filter) {
    var NBuild = fcf.prepareObject(fcf, "NFSQL.NDetails.NBuild");


    NFilter.BaseSimpleType = class BaseSimpleType extends Filter{
      constructor(a_options) {
        super(a_options);
      }

      processOutputField(a_taskInfo, a_info){
        var tableAlias = a_taskInfo.getQueryTableByField(a_info.field);
        a_info.field.field      = a_taskInfo.getQueryField(a_info.field);
        a_info.field.from       = tableAlias;
      }

      processWhereField(a_taskInfo, a_info){
        var tableAlias = a_taskInfo.getQueryTableByField(a_info.field);
        a_info.field.field = a_taskInfo.getQueryField(a_info.field);
        a_info.field.from  = tableAlias;
      }

      processUpdateField(a_taskInfo, a_info){
        var tableAlias = a_taskInfo.getQueryTableByField(a_info.field);
        a_info.field.field = a_taskInfo.getQueryField(a_info.field);
        a_info.field.from  = tableAlias;
      }

      processInsertField(a_taskInfo, a_info){
        var tableAlias = a_taskInfo.getQueryTableByField(a_info.field);
        a_info.field.field = a_taskInfo.getQueryField(a_info.field);
        a_info.field.from  = tableAlias;
      }

    }



    return NFilter.BaseSimpleType;
  }
});
